HOME | ドキュメント |  ブログ  |  BBS  |  瓦版  | 将棋プロジェクト |  物置小屋   

ドキュメント 象歩 Web瓦版
 BBSボード RDF
こんにちは (23)
おためし板 (321)
質問箱 (94)
テスト (10)
建築 DIY (7)
MTB (34)
(13)
節電対策 (2)
このサイトに関する話 (182)
Linux (396)
PC用ハードウェア (10)
Vine Linux 野良系 (68)
PC 工作 (31)
BBS の改良 (105)
Vine Seed (520)
Zope とプロダクト (95)
Web の利用技術 (131)
DB とファイルシステム (63)
Python と C/C++ と... (29)
Zopeプロダクト開発メモ (3)
UTF-8 化 (42)
Mail 環境 (8)
COREBlog (109)
Zope3 (51)
Windows 64bit (18)
Mac (2)
Squeak スクイーク (67)
Django ぶらり一人旅 (3)
64bits (52)
Mono 思いにふける (13)
ディスクトップ (4)
象歩将棋 (477)
将棋よもやま (207)
サイトのデザイン (31)
心配な話 (67)
うそ (22)
昔のゲストブック (20)
ボート部 (95)
鶴南六組 (2)
Web 日記 (202)
 スパム
逮捕しる (4)
スパムお溜り (1)
ごみ箱 (12)
 リンク
kiyoさんのサイト
ペンタ郎の漫漕ブログ
TIT漕艇部の練習動画 @YouTube
墨堤の雄 @FaceBook
ペンタ(五大学ミドル) @FaceBook
Facebook
Vine Seed パッケージビルド状況
Vine Linux パッケージ情報
VineLinux バグトラッキングセンタ
VineSeed 開発用 Trac
VineSeed Specs
RPMパッケージの作成方法
Linux Standard Base
Planet Vine
Vine Linux ユーザーフォーラム
Vine Users ML アーカイブ
VineSeed ML アーカイブ
twitter#VineLinux
勝手に将棋トピックス
詰将棋おもちゃ箱

Vine Seed

Vineの開発版を中心とした話をしたいと思います。 と云いながら最近は x86_64 関連しか興味が無かったりします。 当ボードは Project Vine とは一切関係ありません。


311  かず  2006/02/07 02:39 id: 8qt/QPrIsik  prob: 3.3%
glib-1.2.10 ですが、configure マクロを上書きし、
--target を指定しないようにしたところ、ビルドできました。
問題なければ、そのうち upload します。
310  owa  2006/02/07 00:15 id: mJs8kxp1Zus  prob: 1.7%
白昼の死角
Seed の glib-1.2.10-0vl5.src.rpm (2004/07/07) はリビルドできない。
こう云うものは誰もアップデートしたく無いのだろうな。
依存関係ありすぎでこわい。

最新ソースは glib-1.3.15.tar.gz 2002年02月24日(ん、なんかわけありか?)
ftp://ftp.gtk.org/pub/gtk/v1.3
日本語ドキュメントはこちら
http://www.gnome.gr.jp/docs/glib-1.2.x-refs/
309  owa  2006/01/28 01:50 id: mJs8kxp1Zus  prob: 0.2%
rpm-4.4.2-0vl6.2.x86_64.rpm (ほぼ)無修正でビルドできた。
思い切ってインストールして見ました。
# 下手すりゃ、最初からすべてやり直しだもんね;;

直後に rpm が全く機能しなくなりましたとさ;; ガーン

最後の手段とリブート。。。
おや、何ごとも無かったようにすべて順調かしら (^^;

$ rpm --eval='%{_arch}'
x86_64
$ rpm --eval='%{_lib}'
lib64
$ echo $HOSTTYPE
x86_64

うひゃひゃ、ひょっとしてうまくいってるの?
308  owa  2006/01/17 23:49 id: mJs8kxp1Zus  prob: 0.2%
>>307 shared library がサポートされてないかも?
libtool の修正が要ると思う。
compat32 のビルドには避けて通れない話のようです。x86_64 の方は問題なし。
http://www.bookshelf.jp/texi/libtool/libtool-ja.html

追記:
今のところ configure CC='gcc -m32' としないといけないらしい。
libtool-1.5.20 の README に書いてありました。2.0 では直る予定だとも。
ともかく libtool のビルドは x86_64, compat32 ともうまくいきました。
307  owa  2006/01/16 23:48 id: mJs8kxp1Zus  prob: 0.0%
Vine x86_64 環境で rpm-4.4.2-0vl6 のビルド試してみました
あら、こんな↓依存関係が
rpm > beecrypt > doxygen > graphviz, qt-devel
doxygen より右は plus カテゴリなので、とりあえずコメントアウト。

で beecrypt-4.1.2 をビルド、インストールするにはやはり暫定 compat32 が必要。
そして compat32 を作るには 32bits 環境が必要なことが解かりました (←大事)。
(他の 32bits マシンでビルドするってのは、今は考えない)

まずは定跡通り
1. spec の先頭で下記を定義する
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
%if %{build_compat32}
%define _lib lib
%endif
で、スペックに compat32 対応コードを追加。

また x86_64 環境下では -m32 が無いと 64bits ELF をつくってしまうので、下記は必須だと思います。
2. /usr/lib/rpm/rpmrc の optflags を編集
- optflags: i386 -O2 -march=i386 -mcpu=i686
+ optflags: i386 -O2 -m32 -march=i386 -mcpu=i686

そしてビルドは二度おこなう
$ rpm --sign -ba --target x86_64 beecrypt-vl.spec 2>&1 | tee make64.log
$ rpm --sign -ba --with compat32 --target i686 beecrypt-vl.spec 2>&1 | tee make32.log
これは後で考えないといけないかも。

無事に beecrypt はビルドできたたけど、肝心の rpm は宿題になりました。
1. shared library がサポートされてないかも?
2. asm の環境設定されてないかも?
3. glibc-headers は問題無いか? http://ep09.pld-linux.org/~mmazur/linux-libc-headers/
ボチボチいきまひょ。。。
306  owa  2006/01/12 22:20 id: mJs8kxp1Zus  prob: 0.0%
誤解してたようです
「ピュア64でベースを作れば、わざわざ /usr/lib64 とか考えなくてもよくて、他のパッケージに手を入れる必要無く、芋蔓式にリビルドして行けば良いだけ」と考えてました。
そして vine 的にも本当はピュア64にしたい意向だと。(←これが誤解その1)

> [VineSeed:10125]
> 4つ目として、biarch 対応を当面考えないという手もあると思います。
> プロプライエタリなドライバやソフトウエアが使えないという問題がでますが、
> 当面はあとまわしでも良いような気がします。

続きを読めばまったく反対で、
> とりあえず、4で進めて 3 で後からbiarch対応するという感じがいいのかな
> あという感じです。それでも lib64 対応はしておかないとあとからどうにも
> ならないですが。。どうでしょうか?
で、すでに 3 に進んでるので何も問題無いってことですね。恥ずかしい > 私

>>305
> 32bit バイナリを使わないなら compat-* はなくても動きますし、たりないものは
> どんどん rebuild していけばOKです。
必ずしも i386 と x86_64 が常に発生すると云うことじゃ無いのですね。(←誤解その2)
まずは、試しに少しづつビルドしてみます。問題があれば seed-ml に投稿します。

# 正直言えば、少し前までピュア64なんて幻想を抱いてましたが、あまり現実的じゃ無いですね。
# あやつけるつもりは毛頭ありません。ありがとうございました。
305  daisuke  2006/01/12 02:23 id: safKG/v1S/6  prob: 0.1%
biarch にしないと 32bit アプリケーションが動きません。特にプロプライエタリなもの。
あと、プラグインの類も x86_64 用が用意されていないと全滅。
というわけで biarch じゃないと不便です。chroot で 32bit 環境を用意して、必要に
応じてそちらで動かすというのもなかなか不便ですし。

なお、一応 ppc と同様に x86_64 も別 arch です。
32bit バイナリを使わないなら compat-* はなくても動きますし、たりないものは
どんどん rebuild していけばOKです。

# と、以前この話がでたときに VineSeed で落ち着いたと記憶しています。
304  owa  2006/01/12 00:40 id: mJs8kxp1Zus  prob: 0.0%
NAKAMURA さんのおかげで無事 x86_64 動いてます。
ただ(良く解かってないのですが)少し心配ごとがあります。
RedHat 系のディストリビューションは大概 biarch 対応と云うことで
x86_64.rpm ディレクトリを覗いてみると i386 と x86_64 が共存してます。
これって実は大変じゃないのかな、と心配してます。

誤解かもしれないけど、ppc のように x86_64 も別の arch とすれば compat-* などは必要無いんですよね。
biarch 対応にすると、問題あった時の切り分けが難しくなりそう。
フラグが一個増えればメンテは4倍なんて話も思い出します。
もう少し調べてから書かないといけない事なんで、勉強中です。ごめんなさい。
303  owa  2006/01/07 01:05 id: mJs8kxp1Zus  prob: 0.0%
某所で次期 Vine4 の話が出てるのだけど、
今のままでは WindowMaker-0.92 (最新版) は残念ながら載らないかもしれない。
でも、うちでは問題無く動いてるし、新しいマシンに新規インストールしても問題出ない。

別の某所で日本語メニュが表示されない障害が出ると言うことだけど、
状況が判らないので、いまのところ追う元気が出ない。

そのまた某所でマウススクロールが動かないとか。
これは、たぶん Window マネージャのせいでは無いと 50% 思う。
302  owa  2005/12/20 21:17 id: mJs8kxp1Zus  prob: 1.0%
apt,rpm,vine-keyring が更新された。いろいろありそう。
apt-0.5.15.cnc.7-0vl12
rpm-4.4.2-0vl4
vine-keyring-2.0-0vl6

とりあえず mkkpkg が動きません
$ /usr/sbin/mkkpkg --target=i686 --enable-smp kernel-xxx.src.rpm
--nopgp: unknown option
kernel-xxx.src.rpm: didn't pass "rpm -K"

/usr/sbin/mkkpkg はシェルスクリプトです。中身をいじらないといけないみたい。
rpm の --nopgp, --nogpg オプションが廃止になったようだけど、man の変更は無い。